﻿/*
 * Készítette a SharpDevelop.
 * Felhasználó: Ouroboros
 * Dátum: 2010.10.29.
 * Idő: 13:16
 * 
 * A sablon megváltoztatásához használja az Eszközök | Beállítások | Kódolás | Szabvány Fejlécek Szerkesztését.
 */
using System;

namespace TetheredSun.Mathematics
{
	/// <summary>
	/// Description of IFitFunction.
	/// </summary>
	public interface IFitFunction
	{
		double[] Parameters { get; set; }
		
		double[][] GetJacobian(double[] x, double[] y);
		
		double[] GetResiduals(double[] x, double[] y);
		
		double GetValue(double x);
		
		double[] GetValues(double[] x);
	}
}
